Subject: Re: bug#12861: wrong default value when completing in woman-file-name

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 Nov 2012 12:01:50 -0500

> With emacs -Q it works but with my configuration it doesn't.  I think
> that again me using <tab> instead of TAB to complete causes this.
> I will let you know once I have verified this.

Thanks.  I've installed the patch because it's an improvement in any case.

> The problem I see is that iff the selected topic is also the prefix of
> other available topics (e.g. git-prune[-packed]) then pressing <tab>
> when completing the *file-name* does not cause the *Completions* buffer
> to appear.  When I do something before pressing <tab> (e.g. delete a
> character or C-h c <tab> to verify it is indeed bound to
> `minibuffer-complete') and *then* press <tab> then the completions are
> shown, just not when completing immediately.

Hmm... it rings a very distant bell, but without a test-case I don't
think I'll be able to attack this problem.
Can you provide a stripped down version of your config along with a few
steps to reproduce the problem?

        Stefan